ser2net: add sysv init script

Signed-off-by: Vicente Olivert Riera <Vincent.Riera@imgtec.com>
[Thomas:
 - remove check for the ser2net binary
 - add check for the configuration file
 - use 'printf' instead of 'echo -n'
 - fix indentation where needed]
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
This commit is contained in:
Vicente Olivert Riera 2016-07-22 16:08:58 +01:00 committed by Thomas Petazzoni
parent 46a95d37d1
commit 4cf4080087
2 changed files with 48 additions and 0 deletions

View file

@ -0,0 +1,43 @@
#!/bin/sh
#
# Startup script for ser2net
#
start() {
printf "Starting ser2net: "
if [ ! -f /etc/ser2net.conf ] ; then
echo "no configuration file"
exit 1
fi
start-stop-daemon -S -q --exec /usr/sbin/ser2net -- -P /var/run/ser2net.pid
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
stop() {
printf "Shutting down ser2net: "
start-stop-daemon -K -q -p /var/run/ser2net.pid
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
restart() {
stop
start
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart)
restart
;;
*)
echo "Usage: ser2net {start|stop|restart}"
exit 1
esac
exit $?

View file

@ -9,4 +9,9 @@ SER2NET_SITE = http://downloads.sourceforge.net/project/ser2net/ser2net
SER2NET_LICENSE = GPLv2+
SER2NET_LICENSE_FILES = COPYING
define SER2NET_INSTALL_INIT_SYSV
$(INSTALL) -D -m 755 package/ser2net/S50ser2net \
$(TARGET_DIR)/etc/init.d/S50ser2net
endef
$(eval $(autotools-package))